# Generated by Django 4.2 on 2023-04-24 16:49

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Campground",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=200)),
                ("address", models.CharField(max_length=200)),
                ("phone", models.CharField(default=False, max_length=10)),
                ("website", models.URLField(null=True)),
                ("email", models.EmailField(max_length=254)),
                ("tent_sites", models.PositiveSmallIntegerField()),
                ("rv_sites", models.PositiveSmallIntegerField()),
                ("reservable", models.BooleanField(default=False)),
                ("trash", models.BooleanField(default=False)),
                ("firewood_available", models.BooleanField(default=False)),
                ("wifi", models.BooleanField(default=False)),
                ("drinking_water", models.BooleanField(default=False)),
                ("showers", models.BooleanField(default=False)),
                (
                    "bathroom",
                    models.CharField(
                        choices=[
                            ("None", "None"),
                            ("Vault", "Vault"),
                            ("Flush", "Flush"),
                        ],
                        default="None",
                        max_length=5,
                    ),
                ),
            ],
        ),
    ]
